package google.visualization;

import com.google.gwt.core.client.JavaScriptObject;
import com.google.gwt.core.client.JsArrayString;

import jsinterop.annotations.JsConstructor;
import jsinterop.annotations.JsOverlay;
import jsinterop.annotations.JsPackage;
import jsinterop.annotations.JsProperty;
import jsinterop.annotations.JsType;

/**
 * Class generated by scraping: https://developers.google.com/chart/interactive/docs/gallery/[doc]
 * using
 *
 * @author <a href="mailto:Roland.Schweitzer@gmail.com">Roland Schweitzer</a>
 */
@JsType(isNative=true,namespace= JsPackage.GLOBAL,name="Object")
public class BarChartOptions {

    @JsConstructor
    public BarChartOptions() {

    }


    @JsProperty
    Legend legend;
    @JsProperty
    Boolean isStacked;
    @JsProperty
    Object tooltip;
    @JsProperty
    String axisTitlesPosition;
    @JsProperty
    String title;
    @JsProperty
    String subtitle;
    @JsProperty
    JsArrayString colors;
    @JsProperty
    Object trendlines;
    @JsProperty
    Boolean reverseCategories;
    @JsProperty
    Boolean enableInteractivity;
    @JsProperty
    String theme;
    @JsProperty
    Number height;
    @JsProperty
    Object backgroundColor;
    @JsProperty
    String orientation;
    @JsProperty
    String titlePosition;
    @JsProperty
    Object vAxis;
    @JsProperty
    String bars;
    @JsProperty
    String focusTarget;
    @JsProperty
    Object titleTextStyle;
    @JsProperty
    Number dataOpacity;
    @JsProperty
    hAxis hAxis;
    @JsProperty
    String fontName;
    @JsProperty
    Boolean forceIFrame;
    @JsProperty
    Object[] hAxes;
    @JsProperty
    Object[] series;
    @JsProperty
    Object explorer;
    @JsProperty
    Number width;
    @JsProperty
    Number fontSize;
    @JsProperty
    ChartArea chartArea;

    @JsOverlay
    public final Legend getLegend() {
        return this.legend;
    }
    @JsOverlay
    public final void setLegend(Legend legend) {
        this.legend=legend;
    }
    @JsOverlay
    public final Boolean getIsStacked() {
        return this.isStacked;
    }
    @JsOverlay
    public final void setIsStacked(Boolean isStacked) {
        this.isStacked=isStacked;
    }
    @JsOverlay
    public final Object getTooltip() {
        return this.tooltip;
    }
    @JsOverlay
    public final void setTooltip(Object tooltip) {
        this.tooltip=tooltip;
    }
    @JsOverlay
    public final String getAxisTitlesPosition() {
        return this.axisTitlesPosition;
    }
    @JsOverlay
    public final void setAxisTitlesPosition(String axisTitlesPosition) {
        this.axisTitlesPosition=axisTitlesPosition;
    }
    @JsOverlay
    public final String getTitle() {
        return this.title;
    }
    @JsOverlay
    public final void setTitle(String title) {
        this.title=title;
    }

    @JsOverlay
    public final String getSubtitle() {
        return this.subtitle;
    }
    @JsOverlay
    public final void setSubtitle(String subtitle) {
        this.subtitle=subtitle;
    }


    @JsOverlay
    public final String[] getColors() {
        String[] temp = new String[colors.length()];
        for (int i = 0; i < colors.length(); i++) {
            temp[i] = colors.get(i);
        }
        return temp;
    }
    @JsOverlay
    public final void setColors(String[] incolors) {
        JsArrayString temp = JavaScriptObject.createArray().cast();
        for (int i = 0; i < incolors.length; i++) {
            temp.push(incolors[i]);
        }
        this.colors=temp;
    }
    @JsOverlay
    public final Object getTrendlines() {
        return this.trendlines;
    }
    @JsOverlay
    public final void setTrendlines(Object trendlines) {
        this.trendlines=trendlines;
    }
    @JsOverlay
    public final Boolean getReverseCategories() {
        return this.reverseCategories;
    }
    @JsOverlay
    public final void setReverseCategories(Boolean reverseCategories) {
        this.reverseCategories=reverseCategories;
    }
    @JsOverlay
    public final Boolean getEnableInteractivity() {
        return this.enableInteractivity;
    }
    @JsOverlay
    public final void setEnableInteractivity(Boolean enableInteractivity) {
        this.enableInteractivity=enableInteractivity;
    }
    @JsOverlay
    public final String getTheme() {
        return this.theme;
    }
    @JsOverlay
    public final void setTheme(String theme) {
        this.theme=theme;
    }
    @JsOverlay
    public final Number getHeight() {
        return this.height;
    }
    @JsOverlay
    public final void setHeight(Number height) {
        this.height=height;
    }
    @JsOverlay
    public final Object getBackgroundColor() {
        return this.backgroundColor;
    }
    @JsOverlay
    public final void setBackgroundColor(Object backgroundColor) {
        this.backgroundColor=backgroundColor;
    }
    @JsOverlay
    public final String getOrientation() {
        return this.orientation;
    }
    @JsOverlay
    public final void setOrientation(String orientation) {
        this.orientation=orientation;
    }
    @JsOverlay
    public final String getTitlePosition() {
        return this.titlePosition;
    }
    @JsOverlay
    public final void setTitlePosition(String titlePosition) {
        this.titlePosition=titlePosition;
    }
    @JsOverlay
    public final Object getVAxis() {
        return this.vAxis;
    }
    @JsOverlay
    public final void setVAxis(Object vAxis) {
        this.vAxis=vAxis;
    }
    @JsOverlay
    public final String getBars() {
        return this.bars;
    }
    @JsOverlay
    public final void setBars(String bars) {
        if (bars.toLowerCase().equals("horizontal") ) {
            this.bars="horizontal";
        } else {
            this.bars="vertical";
        }
    }
    @JsOverlay
    public final String getFocusTarget() {
        return this.focusTarget;
    }
    @JsOverlay
    public final void setFocusTarget(String focusTarget) {
        this.focusTarget=focusTarget;
    }
    @JsOverlay
    public final Object getTitleTextStyle() {
        return this.titleTextStyle;
    }
    @JsOverlay
    public final void setTitleTextStyle(Object titleTextStyle) {
        this.titleTextStyle=titleTextStyle;
    }
    @JsOverlay
    public final Number getDataOpacity() {
        return this.dataOpacity;
    }
    @JsOverlay
    public final void setDataOpacity(Number dataOpacity) {
        this.dataOpacity=dataOpacity;
    }
    @JsOverlay
    public final hAxis getHAxis() {
        return this.hAxis;
    }
    @JsOverlay
    public final void setHAxis(hAxis hAxis) {
        this.hAxis=hAxis;
    }
    @JsOverlay
    public final String getFontName() {
        return this.fontName;
    }
    @JsOverlay
    public final void setFontName(String fontName) {
        this.fontName=fontName;
    }
    @JsOverlay
    public final Boolean getForceIFrame() {
        return this.forceIFrame;
    }
    @JsOverlay
    public final void setForceIFrame(Boolean forceIFrame) {
        this.forceIFrame=forceIFrame;
    }
    @JsOverlay
    public final Object[] getHAxes() {
        return this.hAxes;
    }
    @JsOverlay
    public final void setHAxes(Object[] hAxes) {
        this.hAxes=hAxes;
    }
    @JsOverlay
    public final Object[] getSeries() {
        return this.series;
    }
    @JsOverlay
    public final void setSeries(Object[] series) {
        this.series=series;
    }
    @JsOverlay
    public final Object getExplorer() {
        return this.explorer;
    }
    @JsOverlay
    public final void setExplorer(Object explorer) {
        this.explorer=explorer;
    }
    @JsOverlay
    public final Number getWidth() {
        return this.width;
    }
    @JsOverlay
    public final void setWidth(Number width) {
        this.width=width;
    }
    @JsOverlay
    public final Number getFontSize() {
        return this.fontSize;
    }
    @JsOverlay
    public final void setFontSize(Number fontSize) {
        this.fontSize=fontSize;
    }
    @JsOverlay
    public final ChartArea getChartArea() {
        return this.chartArea;
    }
    @JsOverlay
    public final void setChartArea(ChartArea chartArea) {
        this.chartArea=chartArea;
    }
    @JsType(isNative=true,namespace= JsPackage.GLOBAL,name="Object")
    public static class hAxis {
        @JsProperty
        String textPosition;
        @JsProperty
        Object[] ticks;
        @JsProperty
        Number maxValue;
        @JsProperty
        String format;
        @JsProperty
        String viewWindowMode;
        @JsProperty
        Number baseline;
        @JsProperty
        String title;
        @JsProperty
        String subtitle;
        @JsProperty
        Number baselineColor;
        @JsProperty
        Number viewWindow;
        @JsProperty
        Object titleTextStyle;
        @JsProperty
        Object minorGridlines;
        @JsProperty
        Number minValue;
        @JsProperty
        Boolean logScale;
        @JsProperty
        String scaleType;
        @JsProperty
        Object textStyle;
        @JsProperty
        Object gridlines;
        @JsProperty
        Number direction;
        @JsOverlay
        public final String getTextPosition() {
            return this.textPosition;
        }
        @JsOverlay
        public final void setTextPosition(String textPosition) {
            this.textPosition=textPosition;
        }
        @JsOverlay
        public final Object[] getTicks() {
            return this.ticks;
        }
        @JsOverlay
        public final void setTicks(Object[] ticks) {
            this.ticks=ticks;
        }
        @JsOverlay
        public final Number getMaxValue() {
            return this.maxValue;
        }
        @JsOverlay
        public final void setMaxValue(Number maxValue) {
            this.maxValue=maxValue;
        }
        @JsOverlay
        public final String getFormat() {
            return this.format;
        }
        @JsOverlay
        public final void setFormat(String format) {
            this.format=format;
        }
        @JsOverlay
        public final String getViewWindowMode() {
            return this.viewWindowMode;
        }
        @JsOverlay
        public final void setViewWindowMode(String viewWindowMode) {
            this.viewWindowMode=viewWindowMode;
        }
        @JsOverlay
        public final Number getBaseline() {
            return this.baseline;
        }
        @JsOverlay
        public final void setBaseline(Number baseline) {
            this.baseline=baseline;
        }
        @JsOverlay
        public final String getTitle() {
            return this.title;
        }
        @JsOverlay
        public final void setTitle(String title) {
            this.title=title;
        }
        @JsOverlay
        public final String getSubtitle() {
            return this.subtitle;
        }
        @JsOverlay
        public final void setSubtitle(String subtitle) {
            this.subtitle=subtitle;
        }
        @JsOverlay
        public final Number getBaselineColor() {
            return this.baselineColor;
        }
        @JsOverlay
        public final void setBaselineColor(Number baselineColor) {
            this.baselineColor=baselineColor;
        }
        @JsOverlay
        public final Number getViewWindow() {
            return this.viewWindow;
        }
        @JsOverlay
        public final void setViewWindow(Number viewWindow) {
            this.viewWindow=viewWindow;
        }
        @JsOverlay
        public final Object getTitleTextStyle() {
            return this.titleTextStyle;
        }
        @JsOverlay
        public final void setTitleTextStyle(Object titleTextStyle) {
            this.titleTextStyle=titleTextStyle;
        }
        @JsOverlay
        public final Object getMinorGridlines() {
            return this.minorGridlines;
        }
        @JsOverlay
        public final void setMinorGridlines(Object minorGridlines) {
            this.minorGridlines=minorGridlines;
        }
        @JsOverlay
        public final Number getMinValue() {
            return this.minValue;
        }
        @JsOverlay
        public final void setMinValue(Number minValue) {
            this.minValue=minValue;
        }
        @JsOverlay
        public final Boolean getLogScale() {
            return this.logScale;
        }
        @JsOverlay
        public final void setLogScale(Boolean logScale) {
            this.logScale=logScale;
        }
        @JsOverlay
        public final String getScaleType() {
            return this.scaleType;
        }
        @JsOverlay
        public final void setScaleType(String scaleType) {
            this.scaleType=scaleType;
        }
        @JsOverlay
        public final Object getTextStyle() {
            return this.textStyle;
        }
        @JsOverlay
        public final void setTextStyle(Object textStyle) {
            this.textStyle=textStyle;
        }
        @JsOverlay
        public final Object getGridlines() {
            return this.gridlines;
        }
        @JsOverlay
        public final void setGridlines(Object gridlines) {
            this.gridlines=gridlines;
        }
        @JsOverlay
        public final Number getDirection() {
            return this.direction;
        }
        @JsOverlay
        public final void setDirection(Number direction) {
            this.direction=direction;
        }

    }
    @JsType(isNative=true,namespace= JsPackage.GLOBAL,name="Object")
    public static class backgroundColor {
        @JsProperty
        Number strokeWidth;
        @JsProperty
        String fill;
        @JsProperty
        String stroke;
        @JsOverlay
        public final Number getStrokeWidth() {
            return this.strokeWidth;
        }
        @JsOverlay
        public final void setStrokeWidth(Number strokeWidth) {
            this.strokeWidth=strokeWidth;
        }
        @JsOverlay
        public final String getFill() {
            return this.fill;
        }
        @JsOverlay
        public final void setFill(String fill) {
            this.fill=fill;
        }
        @JsOverlay
        public final String getStroke() {
            return this.stroke;
        }
        @JsOverlay
        public final void setStroke(String stroke) {
            this.stroke=stroke;
        }

    }
    @JsType(isNative=true,namespace= JsPackage.GLOBAL,name="Object")
    public static class bar {
        @JsProperty
        String groupWidth;
        @JsOverlay
        public final String getGroupWidth() {
            return this.groupWidth;
        }
        @JsOverlay
        public final void setGroupWidth(String groupWidth) {
            this.groupWidth=groupWidth;
        }

    }
    @JsType(isNative=true,namespace= JsPackage.GLOBAL,name="Object")
    public static class Legend {
        @JsProperty
        String position;
        @JsProperty
        Object textStyle;
        @JsProperty
        String alignment;
        @JsOverlay
        public final String getPosition() {
            return this.position;
        }
        @JsOverlay
        public final void setPosition(String position) {
            this.position=position;
        }
        @JsOverlay
        public final Object getTextStyle() {
            return this.textStyle;
        }
        @JsOverlay
        public final void setTextStyle(Object textStyle) {
            this.textStyle=textStyle;
        }
        @JsOverlay
        public final String getAlignment() {
            return this.alignment;
        }
        @JsOverlay
        public final void setAlignment(String alignment) {
            this.alignment=alignment;
        }

    }
    @JsType(isNative=true,namespace= JsPackage.GLOBAL,name="Object")
    public static class explorer {
        @JsProperty
        Number zoomDelta;
        @JsProperty
        Boolean keepInBounds;
        @JsProperty
        Number maxZoomIn;
        @JsProperty
        String axis;
        @JsProperty
        JsArrayString actions;
        @JsProperty
        Number maxZoomOut;
        @JsOverlay
        public final Number getZoomDelta() {
            return this.zoomDelta;
        }
        @JsOverlay
        public final void setZoomDelta(Number zoomDelta) {
            this.zoomDelta=zoomDelta;
        }
        @JsOverlay
        public final Boolean getKeepInBounds() {
            return this.keepInBounds;
        }
        @JsOverlay
        public final void setKeepInBounds(Boolean keepInBounds) {
            this.keepInBounds=keepInBounds;
        }
        @JsOverlay
        public final Number getMaxZoomIn() {
            return this.maxZoomIn;
        }
        @JsOverlay
        public final void setMaxZoomIn(Number maxZoomIn) {
            this.maxZoomIn=maxZoomIn;
        }
        @JsOverlay
        public final String getAxis() {
            return this.axis;
        }
        @JsOverlay
        public final void setAxis(String axis) {
            this.axis=axis;
        }
        @JsOverlay
        public final String[] getActions() {
            String[] temp = new String[actions.length()];
            for (int i = 0; i < actions.length(); i++) {
                temp[i] = actions.get(i);
            }
            return temp;
        }
        @JsOverlay
        public final void setActions(String[] inactions) {
            JsArrayString temp = JavaScriptObject.createArray().cast();
            for (int i = 0; i < inactions.length; i++) {
                temp.push(inactions[i]);
            }
            this.actions=temp;}
        @JsOverlay
        public final Number getMaxZoomOut() {
            return this.maxZoomOut;
        }
        @JsOverlay
        public final void setMaxZoomOut(Number maxZoomOut) {
            this.maxZoomOut=maxZoomOut;
        }

    }
    @JsType(isNative=true,namespace= JsPackage.GLOBAL,name="Object")
    public static class tooltip {
        @JsProperty
        Boolean showColorCode;
        @JsProperty
        Boolean isHtml;
        @JsProperty
        Object textStyle;
        @JsProperty
        String trigger;
        @JsProperty
        Boolean ignoreBounds;
        @JsOverlay
        public final Boolean getShowColorCode() {
            return this.showColorCode;
        }
        @JsOverlay
        public final void setShowColorCode(Boolean showColorCode) {
            this.showColorCode=showColorCode;
        }
        @JsOverlay
        public final Boolean getIsHtml() {
            return this.isHtml;
        }
        @JsOverlay
        public final void setIsHtml(Boolean isHtml) {
            this.isHtml=isHtml;
        }
        @JsOverlay
        public final Object getTextStyle() {
            return this.textStyle;
        }
        @JsOverlay
        public final void setTextStyle(Object textStyle) {
            this.textStyle=textStyle;
        }
        @JsOverlay
        public final String getTrigger() {
            return this.trigger;
        }
        @JsOverlay
        public final void setTrigger(String trigger) {
            this.trigger=trigger;
        }
        @JsOverlay
        public final Boolean getIgnoreBounds() {
            return this.ignoreBounds;
        }
        @JsOverlay
        public final void setIgnoreBounds(Boolean ignoreBounds) {
            this.ignoreBounds=ignoreBounds;
        }

    }
    @JsType(isNative=true,namespace= JsPackage.GLOBAL,name="Object")
    public static class annotations {
        @JsProperty
        Object datum;
        @JsProperty
        Object boxStyle;
        @JsProperty
        Boolean alwaysOutside;
        @JsProperty
        Boolean highContrast;
        @JsProperty
        Object domain;
        @JsProperty
        String style;
        @JsProperty
        Object textStyle;
        @JsProperty
        Object stem;
        @JsOverlay
        public final Object getDatum() {
            return this.datum;
        }
        @JsOverlay
        public final void setDatum(Object datum) {
            this.datum=datum;
        }
        @JsOverlay
        public final Object getBoxStyle() {
            return this.boxStyle;
        }
        @JsOverlay
        public final void setBoxStyle(Object boxStyle) {
            this.boxStyle=boxStyle;
        }
        @JsOverlay
        public final Boolean getAlwaysOutside() {
            return this.alwaysOutside;
        }
        @JsOverlay
        public final void setAlwaysOutside(Boolean alwaysOutside) {
            this.alwaysOutside=alwaysOutside;
        }
        @JsOverlay
        public final Boolean getHighContrast() {
            return this.highContrast;
        }
        @JsOverlay
        public final void setHighContrast(Boolean highContrast) {
            this.highContrast=highContrast;
        }
        @JsOverlay
        public final Object getDomain() {
            return this.domain;
        }
        @JsOverlay
        public final void setDomain(Object domain) {
            this.domain=domain;
        }
        @JsOverlay
        public final String getStyle() {
            return this.style;
        }
        @JsOverlay
        public final void setStyle(String style) {
            this.style=style;
        }
        @JsOverlay
        public final Object getTextStyle() {
            return this.textStyle;
        }
        @JsOverlay
        public final void setTextStyle(Object textStyle) {
            this.textStyle=textStyle;
        }
        @JsOverlay
        public final Object getStem() {
            return this.stem;
        }
        @JsOverlay
        public final void setStem(Object stem) {
            this.stem=stem;
        }

    }
    @JsType(isNative=true,namespace= JsPackage.GLOBAL,name="Object")
    public static class vAxis {
        @JsProperty
        String textPosition;
        @JsProperty
        Object[] ticks;
        @JsProperty
        Number maxValue;
        @JsProperty
        String format;
        @JsProperty
        String viewWindowMode;
        @JsProperty
        Number baseline;
        @JsProperty
        String title;
        @JsProperty
        Number baselineColor;
        @JsProperty
        Number viewWindow;
        @JsProperty
        Object titleTextStyle;
        @JsProperty
        Object minorGridlines;
        @JsProperty
        Number minValue;
        @JsProperty
        Boolean logScale;
        @JsProperty
        String scaleType;
        @JsProperty
        Object textStyle;
        @JsProperty
        Object gridlines;
        @JsProperty
        Number direction;
        @JsOverlay
        public final String getTextPosition() {
            return this.textPosition;
        }
        @JsOverlay
        public final void setTextPosition(String textPosition) {
            this.textPosition=textPosition;
        }
        @JsOverlay
        public final Object[] getTicks() {
            return this.ticks;
        }
        @JsOverlay
        public final void setTicks(Object[] ticks) {
            this.ticks=ticks;
        }
        @JsOverlay
        public final Number getMaxValue() {
            return this.maxValue;
        }
        @JsOverlay
        public final void setMaxValue(Number maxValue) {
            this.maxValue=maxValue;
        }
        @JsOverlay
        public final String getFormat() {
            return this.format;
        }
        @JsOverlay
        public final void setFormat(String format) {
            this.format=format;
        }
        @JsOverlay
        public final String getViewWindowMode() {
            return this.viewWindowMode;
        }
        @JsOverlay
        public final void setViewWindowMode(String viewWindowMode) {
            this.viewWindowMode=viewWindowMode;
        }
        @JsOverlay
        public final Number getBaseline() {
            return this.baseline;
        }
        @JsOverlay
        public final void setBaseline(Number baseline) {
            this.baseline=baseline;
        }
        @JsOverlay
        public final String getTitle() {
            return this.title;
        }
        @JsOverlay
        public final void setTitle(String title) {
            this.title=title;
        }
        @JsOverlay
        public final Number getBaselineColor() {
            return this.baselineColor;
        }
        @JsOverlay
        public final void setBaselineColor(Number baselineColor) {
            this.baselineColor=baselineColor;
        }
        @JsOverlay
        public final Number getViewWindow() {
            return this.viewWindow;
        }
        @JsOverlay
        public final void setViewWindow(Number viewWindow) {
            this.viewWindow=viewWindow;
        }
        @JsOverlay
        public final Object getTitleTextStyle() {
            return this.titleTextStyle;
        }
        @JsOverlay
        public final void setTitleTextStyle(Object titleTextStyle) {
            this.titleTextStyle=titleTextStyle;
        }
        @JsOverlay
        public final Object getMinorGridlines() {
            return this.minorGridlines;
        }
        @JsOverlay
        public final void setMinorGridlines(Object minorGridlines) {
            this.minorGridlines=minorGridlines;
        }
        @JsOverlay
        public final Number getMinValue() {
            return this.minValue;
        }
        @JsOverlay
        public final void setMinValue(Number minValue) {
            this.minValue=minValue;
        }
        @JsOverlay
        public final Boolean getLogScale() {
            return this.logScale;
        }
        @JsOverlay
        public final void setLogScale(Boolean logScale) {
            this.logScale=logScale;
        }
        @JsOverlay
        public final String getScaleType() {
            return this.scaleType;
        }
        @JsOverlay
        public final void setScaleType(String scaleType) {
            this.scaleType=scaleType;
        }
        @JsOverlay
        public final Object getTextStyle() {
            return this.textStyle;
        }
        @JsOverlay
        public final void setTextStyle(Object textStyle) {
            this.textStyle=textStyle;
        }
        @JsOverlay
        public final Object getGridlines() {
            return this.gridlines;
        }
        @JsOverlay
        public final void setGridlines(Object gridlines) {
            this.gridlines=gridlines;
        }
        @JsOverlay
        public final Number getDirection() {
            return this.direction;
        }
        @JsOverlay
        public final void setDirection(Number direction) {
            this.direction=direction;
        }

    }
    @JsType(isNative=true,namespace= JsPackage.GLOBAL,name="Object")
    public static class ChartArea {
        @JsProperty
        Object backgroundColor;
        @JsProperty
        String top;
        @JsProperty
        String left;
        @JsProperty
        String width;
        @JsProperty
        String height;
        @JsOverlay
        public final Object getBackgroundColor() {
            return this.backgroundColor;
        }
        @JsOverlay
        public final void setBackgroundColor(Object backgroundColor) {
            this.backgroundColor=backgroundColor;
        }
        @JsOverlay
        public final String getTop() {
            return this.top;
        }
        @JsOverlay
        public final void setTop(String top) {
            this.top=top;
        }
        @JsOverlay
        public final String getLeft() {
            return this.left;
        }
        @JsOverlay
        public final void setLeft(String left) {
            this.left=left;
        }
        @JsOverlay
        public final String getWidth() {
            return this.width;
        }
        @JsOverlay
        public final void setWidth(String width) {
            this.width=width;
        }
        @JsOverlay
        public final String getHeight() {
            return this.height;
        }
        @JsOverlay
        public final void setHeight(String height) {
            this.height=height;
        }

    }
    @JsType(isNative=true,namespace= JsPackage.GLOBAL,name="Object")
    public static class chart {
        @JsProperty
        String subtitle;
        @JsProperty
        String title;
        @JsOverlay
        public final String getSubtitle() {
            return this.subtitle;
        }
        @JsOverlay
        public final void setSubtitle(String subtitle) {
            this.subtitle=subtitle;
        }
        @JsOverlay
        public final String getTitle() {
            return this.title;
        }
        @JsOverlay
        public final void setTitle(String title) {
            this.title=title;
        }

    }
    @JsType(isNative=true,namespace= JsPackage.GLOBAL,name="Object")
    public static class trendlines {
        @JsProperty
        Boolean n;
        @JsOverlay
        public final Boolean getN() {
            return this.n;
        }
        @JsOverlay
        public final void setN(Boolean n) {
            this.n=n;
        }

    }
    @JsType(isNative=true,namespace= JsPackage.GLOBAL,name="Object")
    public static class animation {
        @JsProperty
        Number duration;
        @JsProperty
        Boolean startup;
        @JsProperty
        String easing;
        @JsOverlay
        public final Number getDuration() {
            return this.duration;
        }
        @JsOverlay
        public final void setDuration(Number duration) {
            this.duration=duration;
        }
        @JsOverlay
        public final Boolean getStartup() {
            return this.startup;
        }
        @JsOverlay
        public final void setStartup(Boolean startup) {
            this.startup=startup;
        }
        @JsOverlay
        public final String getEasing() {
            return this.easing;
        }
        @JsOverlay
        public final void setEasing(String easing) {
            this.easing=easing;
        }

    }

}
