package google.visualization;

import com.google.gwt.core.client.JavaScriptObject;
import com.google.gwt.core.client.JsArrayString;
import gwt.interop.utils.client.plainobjects.JsPlainObj;

import gwt.interop.utils.shared.collections.Array;
import jsinterop.annotations.JsConstructor;
import jsinterop.annotations.JsOverlay;
import jsinterop.annotations.JsPackage;
import jsinterop.annotations.JsProperty;
import jsinterop.annotations.JsType;

/**
 * Class generated by scraping: https://developers.google.com/chart/interactive/docs/gallery/[doc]
 * using
 *
 * @author <a href="mailto:Roland.Schweitzer@gmail.com">Roland Schweitzer</a>
 */
@JsType(isNative=true,namespace= JsPackage.GLOBAL,name="Object")
public class LineChartOptions {

    @JsConstructor
    public LineChartOptions() {

    }


@JsProperty
Legend legend;
@JsProperty
JsPlainObj tooltip;
@JsProperty
String axisTitlesPosition;
@JsProperty
String title;
@JsProperty
Array colors;
@JsProperty
Number lineWidth;
@JsProperty
JsPlainObj trendlines;
@JsProperty
Boolean reverseCategories;
@JsProperty
Boolean enableInteractivity;
@JsProperty
String theme;
@JsProperty
Number height;
@JsProperty
JsPlainObj backgroundColor;
@JsProperty
String orientation;
@JsProperty
String aggregationTarget;
@JsProperty
String titlePosition;
@JsProperty
Number[] lineDashStyle;
@JsProperty
JsPlainObj[] vAxes;
@JsProperty
Boolean interpolateNulls;
@JsProperty
Boolean pointsVisible;
@JsProperty
vAxis vAxis;
@JsProperty
String focusTarget;
@JsProperty
JsPlainObj titleTextStyle;
@JsProperty
Number dataOpacity;
@JsProperty
String curveType;
@JsProperty
JsPlainObj crosshair;
@JsProperty
hAxis hAxis;
@JsProperty
Number pointSize;
@JsProperty
String fontName;
@JsProperty
Boolean forceIFrame;
@JsProperty
Array series;
@JsProperty
Explorer explorer;
@JsProperty
Number width;
@JsProperty
Number fontSize;
@JsProperty
String pointShape;
@JsProperty
ChartArea chartArea;
@JsProperty
String selectionMode;
@JsOverlay
public final Legend getLegend() {
return this.legend;
}
@JsOverlay
public final void setLegend(Legend legend) {
this.legend=legend;
}
@JsOverlay
public final JsPlainObj getTooltip() {
return this.tooltip;
}
@JsOverlay
public final void setTooltip(JsPlainObj tooltip) {
this.tooltip=tooltip;
}
@JsOverlay
public final String getAxisTitlesPosition() {
return this.axisTitlesPosition;
}
@JsOverlay
public final void setAxisTitlesPosition(String axisTitlesPosition) {
this.axisTitlesPosition=axisTitlesPosition;
}
@JsOverlay
public final String getTitle() {
return this.title;
}
@JsOverlay
public final void setTitle(String title) {
this.title=title;
}
@JsOverlay
public final Array getColors() {
return this.colors;
}
@JsOverlay
public final void setColors(Array colors) {
this.colors=colors;
}
@JsOverlay
public final Number getLineWidth() {
return this.lineWidth;
}
@JsOverlay
public final void setLineWidth(Number lineWidth) {
this.lineWidth=lineWidth;
}
@JsOverlay
public final JsPlainObj getTrendlines() {
return this.trendlines;
}
@JsOverlay
public final void setTrendlines(JsPlainObj trendlines) {
this.trendlines=trendlines;
}
@JsOverlay
public final Boolean getReverseCategories() {
return this.reverseCategories;
}
@JsOverlay
public final void setReverseCategories(Boolean reverseCategories) {
this.reverseCategories=reverseCategories;
}
@JsOverlay
public final Boolean getEnableInteractivity() {
return this.enableInteractivity;
}
@JsOverlay
public final void setEnableInteractivity(Boolean enableInteractivity) {
this.enableInteractivity=enableInteractivity;
}
@JsOverlay
public final String getTheme() {
return this.theme;
}
@JsOverlay
public final void setTheme(String theme) {
this.theme=theme;
}
@JsOverlay
public final Number getHeight() {
return this.height;
}
@JsOverlay
public final void setHeight(Number height) {
this.height=height;
}
@JsOverlay
public final JsPlainObj getBackgroundColor() {
return this.backgroundColor;
}
@JsOverlay
public final void setBackgroundColor(JsPlainObj backgroundColor) {
this.backgroundColor=backgroundColor;
}
@JsOverlay
public final String getOrientation() {
return this.orientation;
}
@JsOverlay
public final void setOrientation(String orientation) {
this.orientation=orientation;
}
@JsOverlay
public final String getAggregationTarget() {
return this.aggregationTarget;
}
@JsOverlay
public final void setAggregationTarget(String aggregationTarget) {
this.aggregationTarget=aggregationTarget;
}
@JsOverlay
public final String getTitlePosition() {
return this.titlePosition;
}
@JsOverlay
public final void setTitlePosition(String titlePosition) {
this.titlePosition=titlePosition;
}
@JsOverlay
public final Number[] getLineDashStyle() {
return this.lineDashStyle;
}
@JsOverlay
public final void setLineDashStyle(Number[] lineDashStyle) {
this.lineDashStyle=lineDashStyle;
}
@JsOverlay
public final JsPlainObj[] getVAxes() {
return this.vAxes;
}
@JsOverlay
public final void setVAxes(JsPlainObj[] vAxes) {
this.vAxes=vAxes;
}
@JsOverlay
public final Boolean getInterpolateNulls() {
return this.interpolateNulls;
}
@JsOverlay
public final void setInterpolateNulls(Boolean interpolateNulls) {
this.interpolateNulls=interpolateNulls;
}
@JsOverlay
public final Boolean getPointsVisible() {
return this.pointsVisible;
}
@JsOverlay
public final void setPointsVisible(Boolean pointsVisible) {
this.pointsVisible=pointsVisible;
}
@JsOverlay
public final vAxis getVAxis() {
return this.vAxis;
}
@JsOverlay
public final void setVAxis(vAxis vAxis) {
this.vAxis=vAxis;
}
@JsOverlay
public final String getFocusTarget() {
return this.focusTarget;
}
@JsOverlay
public final void setFocusTarget(String focusTarget) {
this.focusTarget=focusTarget;
}
@JsOverlay
public final JsPlainObj getTitleTextStyle() {
return this.titleTextStyle;
}
@JsOverlay
public final void setTitleTextStyle(JsPlainObj titleTextStyle) {
this.titleTextStyle=titleTextStyle;
}
@JsOverlay
public final Number getDataOpacity() {
return this.dataOpacity;
}
@JsOverlay
public final void setDataOpacity(Number dataOpacity) {
this.dataOpacity=dataOpacity;
}
@JsOverlay
public final String getCurveType() {
return this.curveType;
}
@JsOverlay
public final void setCurveType(String curveType) {
this.curveType=curveType;
}
@JsOverlay
public final JsPlainObj getCrosshair() {
return this.crosshair;
}
@JsOverlay
public final void setCrosshair(JsPlainObj crosshair) {
this.crosshair=crosshair;
}
@JsOverlay
public final hAxis getHAxis() {
return this.hAxis;
}
@JsOverlay
public final void setHAxis(hAxis hAxis) {
this.hAxis=hAxis;
}
@JsOverlay
public final Number getPointSize() {
return this.pointSize;
}
@JsOverlay
public final void setPointSize(Number pointSize) {
this.pointSize=pointSize;
}
@JsOverlay
public final String getFontName() {
return this.fontName;
}
@JsOverlay
public final void setFontName(String fontName) {
this.fontName=fontName;
}
@JsOverlay
public final Boolean getForceIFrame() {
return this.forceIFrame;
}
@JsOverlay
public final void setForceIFrame(Boolean forceIFrame) {
this.forceIFrame=forceIFrame;
}
@JsOverlay
public final Array getSeries() {
return this.series;
}
@JsOverlay
public final void setSeries(Array series) {
    this.series = series;
}
@JsOverlay
public final Explorer getExplorer() {
return this.explorer;
}
@JsOverlay
public final void setExplorer(Explorer explorer) {
this.explorer=explorer;
}
@JsOverlay
public final Number getWidth() {
return this.width;
}
@JsOverlay
public final void setWidth(Number width) {
this.width=width;
}
@JsOverlay
public final Number getFontSize() {
return this.fontSize;
}
@JsOverlay
public final void setFontSize(Number fontSize) {
this.fontSize=fontSize;
}
@JsOverlay
public final String getPointShape() {
return this.pointShape;
}
@JsOverlay
public final void setPointShape(String pointShape) {
this.pointShape=pointShape;
}
@JsOverlay
public final ChartArea getChartArea() {
return this.chartArea;
}
@JsOverlay
public final void setChartArea(ChartArea chartArea) {
this.chartArea=chartArea;
}
@JsOverlay
public final String getSelectionMode() {
return this.selectionMode;
}
@JsOverlay
public final void setSelectionMode(String selectionMode) {
this.selectionMode=selectionMode;
}
@JsType(isNative=true,namespace= JsPackage.GLOBAL,name="Object")
public static class crosshair {
@JsProperty
String orientation;
@JsProperty
String color;
@JsProperty
JsPlainObj focused;
@JsProperty
String trigger;
@JsProperty
Number opacity;
@JsProperty
JsPlainObj selected;
@JsOverlay
public final String getOrientation() {
return this.orientation;
}
@JsOverlay
public final void setOrientation(String orientation) {
this.orientation=orientation;
}
@JsOverlay
public final String getColor() {
return this.color;
}
@JsOverlay
public final void setColor(String color) {
this.color=color;
}
@JsOverlay
public final JsPlainObj getFocused() {
return this.focused;
}
@JsOverlay
public final void setFocused(JsPlainObj focused) {
this.focused=focused;
}
@JsOverlay
public final String getTrigger() {
return this.trigger;
}
@JsOverlay
public final void setTrigger(String trigger) {
this.trigger=trigger;
}
@JsOverlay
public final Number getOpacity() {
return this.opacity;
}
@JsOverlay
public final void setOpacity(Number opacity) {
this.opacity=opacity;
}
@JsOverlay
public final JsPlainObj getSelected() {
return this.selected;
}
@JsOverlay
public final void setSelected(JsPlainObj selected) {
this.selected=selected;
}

}
@JsType(isNative=true,namespace= JsPackage.GLOBAL,name="Object")
public static class hAxis {
@JsProperty
String textPosition;
@JsProperty
JsPlainObj[] ticks;
@JsProperty
Boolean slantedText;
@JsProperty
Number maxValue;
@JsProperty
String format;
@JsProperty
String viewWindowMode;
@JsProperty
Boolean allowContainerBoundaryTextCufoff;
@JsProperty
Number baseline;
@JsProperty
String title;
@JsProperty
Number baselineColor;
@JsProperty
Number viewWindow;
@JsProperty
JsPlainObj titleTextStyle;
@JsProperty
Number maxTextLines;
@JsProperty
Number minTextSpacing;
@JsProperty
Number maxAlternation;
@JsProperty
Number showTextEvery;
@JsProperty
JsPlainObj minorGridlines;
@JsProperty
Number minValue;
@JsProperty
Boolean logScale;
@JsProperty
String scaleType;
@JsProperty
JsPlainObj textStyle;
@JsProperty
JsPlainObj gridlines;
@JsProperty
Number slantedTextAngle;
@JsProperty
Number direction;
@JsOverlay
public final String getTextPosition() {
return this.textPosition;
}
@JsOverlay
public final void setTextPosition(String textPosition) {
this.textPosition=textPosition;
}
@JsOverlay
public final JsPlainObj[] getTicks() {
return this.ticks;
}
@JsOverlay
public final void setTicks(JsPlainObj[] ticks) {
this.ticks=ticks;
}
@JsOverlay
public final Boolean getSlantedText() {
return this.slantedText;
}
@JsOverlay
public final void setSlantedText(Boolean slantedText) {
this.slantedText=slantedText;
}
@JsOverlay
public final Number getMaxValue() {
return this.maxValue;
}
@JsOverlay
public final void setMaxValue(Number maxValue) {
this.maxValue=maxValue;
}
@JsOverlay
public final String getFormat() {
return this.format;
}
@JsOverlay
public final void setFormat(String format) {
this.format=format;
}
@JsOverlay
public final String getViewWindowMode() {
return this.viewWindowMode;
}
@JsOverlay
public final void setViewWindowMode(String viewWindowMode) {
this.viewWindowMode=viewWindowMode;
}
@JsOverlay
public final Boolean getAllowContainerBoundaryTextCufoff() {
return this.allowContainerBoundaryTextCufoff;
}
@JsOverlay
public final void setAllowContainerBoundaryTextCufoff(Boolean allowContainerBoundaryTextCufoff) {
this.allowContainerBoundaryTextCufoff=allowContainerBoundaryTextCufoff;
}
@JsOverlay
public final Number getBaseline() {
return this.baseline;
}
@JsOverlay
public final void setBaseline(Number baseline) {
this.baseline=baseline;
}
@JsOverlay
public final String getTitle() {
return this.title;
}
@JsOverlay
public final void setTitle(String title) {
this.title=title;
}
@JsOverlay
public final Number getBaselineColor() {
return this.baselineColor;
}
@JsOverlay
public final void setBaselineColor(Number baselineColor) {
this.baselineColor=baselineColor;
}
@JsOverlay
public final Number getViewWindow() {
return this.viewWindow;
}
@JsOverlay
public final void setViewWindow(Number viewWindow) {
this.viewWindow=viewWindow;
}
@JsOverlay
public final JsPlainObj getTitleTextStyle() {
return this.titleTextStyle;
}
@JsOverlay
public final void setTitleTextStyle(JsPlainObj titleTextStyle) {
this.titleTextStyle=titleTextStyle;
}
@JsOverlay
public final Number getMaxTextLines() {
return this.maxTextLines;
}
@JsOverlay
public final void setMaxTextLines(Number maxTextLines) {
this.maxTextLines=maxTextLines;
}
@JsOverlay
public final Number getMinTextSpacing() {
return this.minTextSpacing;
}
@JsOverlay
public final void setMinTextSpacing(Number minTextSpacing) {
this.minTextSpacing=minTextSpacing;
}
@JsOverlay
public final Number getMaxAlternation() {
return this.maxAlternation;
}
@JsOverlay
public final void setMaxAlternation(Number maxAlternation) {
this.maxAlternation=maxAlternation;
}
@JsOverlay
public final Number getShowTextEvery() {
return this.showTextEvery;
}
@JsOverlay
public final void setShowTextEvery(Number showTextEvery) {
this.showTextEvery=showTextEvery;
}
@JsOverlay
public final JsPlainObj getMinorGridlines() {
return this.minorGridlines;
}
@JsOverlay
public final void setMinorGridlines(JsPlainObj minorGridlines) {
this.minorGridlines=minorGridlines;
}
@JsOverlay
public final Number getMinValue() {
return this.minValue;
}
@JsOverlay
public final void setMinValue(Number minValue) {
this.minValue=minValue;
}
@JsOverlay
public final Boolean getLogScale() {
return this.logScale;
}
@JsOverlay
public final void setLogScale(Boolean logScale) {
this.logScale=logScale;
}
@JsOverlay
public final String getScaleType() {
return this.scaleType;
}
@JsOverlay
public final void setScaleType(String scaleType) {
this.scaleType=scaleType;
}
@JsOverlay
public final JsPlainObj getTextStyle() {
return this.textStyle;
}
@JsOverlay
public final void setTextStyle(JsPlainObj textStyle) {
this.textStyle=textStyle;
}
@JsOverlay
public final JsPlainObj getGridlines() {
return this.gridlines;
}
@JsOverlay
public final void setGridlines(JsPlainObj gridlines) {
this.gridlines=gridlines;
}
@JsOverlay
public final Number getSlantedTextAngle() {
return this.slantedTextAngle;
}
@JsOverlay
public final void setSlantedTextAngle(Number slantedTextAngle) {
this.slantedTextAngle=slantedTextAngle;
}
@JsOverlay
public final Number getDirection() {
return this.direction;
}
@JsOverlay
public final void setDirection(Number direction) {
this.direction=direction;
}

}
@JsType(isNative=true,namespace= JsPackage.GLOBAL,name="Object")
public static class backgroundColor {
@JsProperty
Number strokeWidth;
@JsProperty
String fill;
@JsProperty
String stroke;
@JsOverlay
public final Number getStrokeWidth() {
return this.strokeWidth;
}
@JsOverlay
public final void setStrokeWidth(Number strokeWidth) {
this.strokeWidth=strokeWidth;
}
@JsOverlay
public final String getFill() {
return this.fill;
}
@JsOverlay
public final void setFill(String fill) {
this.fill=fill;
}
@JsOverlay
public final String getStroke() {
return this.stroke;
}
@JsOverlay
public final void setStroke(String stroke) {
this.stroke=stroke;
}

}
    @JsType(isNative=true,namespace= JsPackage.GLOBAL,name="Object")
    public static class Explorer {

        @JsProperty
        String axis;
        @JsProperty
        JsArrayString actions;
        @JsProperty
        Number maxZoomOut;
        @JsProperty
        Number maxZoomIn;
        @JsProperty
        Number zoomDelta;
        @JsProperty
        Boolean keepInBounds;

        @JsOverlay
        public final String getAxis() {
            return axis;
        }
        @JsOverlay
        public final void setAxis(String axis) {
            this.axis = axis;
        }
        @JsOverlay
        public final Number getMaxZoomOut() {
            return maxZoomOut;
        }
        @JsOverlay
        public final void setMaxZoomOut(Number maxZoomOut) {
            this.maxZoomOut = maxZoomOut;
        }
        @JsOverlay
        public final Number getMaxZoomIn() {
            return maxZoomIn;
        }
        @JsOverlay
        public final void setMaxZoomIn(Number maxZoomIn) {
            this.maxZoomIn = maxZoomIn;
        }
        @JsOverlay
        public final Number getZoomDelta() {
            return zoomDelta;
        }
        @JsOverlay
        public final void setZoomDelta(Number zoomDelta) {
            this.zoomDelta = zoomDelta;
        }
        @JsOverlay
        public final Boolean getKeepInBounds() {
            return keepInBounds;
        }
        @JsOverlay
        public final void setKeepInBounds(Boolean keepInBounds) {
            this.keepInBounds = keepInBounds;
        }

        @JsOverlay
        public final String[] getActions() {
            String[] temp = new String[actions.length()];
            for (int i = 0; i < actions.length(); i++) {
                temp[i] = actions.get(i);
            }
            return temp;
        }
        @JsOverlay
        public final void setColors(String[] inactions) {
            JsArrayString temp = JavaScriptObject.createArray().cast();
            for (int i = 0; i < inactions.length; i++) {
                temp.push(inactions[i]);
            }
            this.actions=temp;
        }
    }
@JsType(isNative=true,namespace= JsPackage.GLOBAL,name="Object")
public static class Legend {
@JsProperty
Number maxLines;
@JsProperty
String position;
@JsProperty
JsPlainObj textStyle;
@JsProperty
String alignment;
@JsOverlay
public final Number getMaxLines() {
return this.maxLines;
}
@JsOverlay
public final void setMaxLines(Number maxLines) {
this.maxLines=maxLines;
}
@JsOverlay
public final String getPosition() {
return this.position;
}
@JsOverlay
public final void setPosition(String position) {
this.position=position;
}
@JsOverlay
public final JsPlainObj getTextStyle() {
return this.textStyle;
}
@JsOverlay
public final void setTextStyle(JsPlainObj textStyle) {
this.textStyle=textStyle;
}
@JsOverlay
public final String getAlignment() {
return this.alignment;
}
@JsOverlay
public final void setAlignment(String alignment) {
this.alignment=alignment;
}

}
@JsType(isNative=true,namespace= JsPackage.GLOBAL,name="Object")
public static class explorer {
@JsProperty
Number zoomDelta;
@JsProperty
Boolean keepInBounds;
@JsProperty
Number maxZoomIn;
@JsProperty
String axis;
@JsProperty
Array actions;
@JsProperty
Number maxZoomOut;
@JsOverlay
public final Number getZoomDelta() {
return this.zoomDelta;
}
@JsOverlay
public final void setZoomDelta(Number zoomDelta) {
this.zoomDelta=zoomDelta;
}
@JsOverlay
public final Boolean getKeepInBounds() {
return this.keepInBounds;
}
@JsOverlay
public final void setKeepInBounds(Boolean keepInBounds) {
this.keepInBounds=keepInBounds;
}
@JsOverlay
public final Number getMaxZoomIn() {
return this.maxZoomIn;
}
@JsOverlay
public final void setMaxZoomIn(Number maxZoomIn) {
this.maxZoomIn=maxZoomIn;
}
@JsOverlay
public final String getAxis() {
return this.axis;
}
@JsOverlay
public final void setAxis(String axis) {
this.axis=axis;
}
@JsOverlay
public final Array getActions() {
return this.actions;
}
@JsOverlay
public final void setActions(Array actions) {
this.actions = actions;
}
@JsOverlay
public final Number getMaxZoomOut() {
return this.maxZoomOut;
}
@JsOverlay
public final void setMaxZoomOut(Number maxZoomOut) {
this.maxZoomOut=maxZoomOut;
}

}
@JsType(isNative=true,namespace= JsPackage.GLOBAL,name="Object")
public static class tooltip {
@JsProperty
Boolean showColorCode;
@JsProperty
Boolean isHtml;
@JsProperty
JsPlainObj textStyle;
@JsProperty
String trigger;
@JsProperty
Boolean ignoreBounds;
@JsOverlay
public final Boolean getShowColorCode() {
return this.showColorCode;
}
@JsOverlay
public final void setShowColorCode(Boolean showColorCode) {
this.showColorCode=showColorCode;
}
@JsOverlay
public final Boolean getIsHtml() {
return this.isHtml;
}
@JsOverlay
public final void setIsHtml(Boolean isHtml) {
this.isHtml=isHtml;
}
@JsOverlay
public final JsPlainObj getTextStyle() {
return this.textStyle;
}
@JsOverlay
public final void setTextStyle(JsPlainObj textStyle) {
this.textStyle=textStyle;
}
@JsOverlay
public final String getTrigger() {
return this.trigger;
}
@JsOverlay
public final void setTrigger(String trigger) {
this.trigger=trigger;
}
@JsOverlay
public final Boolean getIgnoreBounds() {
return this.ignoreBounds;
}
@JsOverlay
public final void setIgnoreBounds(Boolean ignoreBounds) {
this.ignoreBounds=ignoreBounds;
}

}
@JsType(isNative=true,namespace= JsPackage.GLOBAL,name="Object")
public static class annotations {
@JsProperty
JsPlainObj datum;
@JsProperty
JsPlainObj boxStyle;
@JsProperty
Boolean highContrast;
@JsProperty
JsPlainObj domain;
@JsProperty
String style;
@JsProperty
JsPlainObj textStyle;
@JsProperty
JsPlainObj stem;
@JsOverlay
public final JsPlainObj getDatum() {
return this.datum;
}
@JsOverlay
public final void setDatum(JsPlainObj datum) {
this.datum=datum;
}
@JsOverlay
public final JsPlainObj getBoxStyle() {
return this.boxStyle;
}
@JsOverlay
public final void setBoxStyle(JsPlainObj boxStyle) {
this.boxStyle=boxStyle;
}
@JsOverlay
public final Boolean getHighContrast() {
return this.highContrast;
}
@JsOverlay
public final void setHighContrast(Boolean highContrast) {
this.highContrast=highContrast;
}
@JsOverlay
public final JsPlainObj getDomain() {
return this.domain;
}
@JsOverlay
public final void setDomain(JsPlainObj domain) {
this.domain=domain;
}
@JsOverlay
public final String getStyle() {
return this.style;
}
@JsOverlay
public final void setStyle(String style) {
this.style=style;
}
@JsOverlay
public final JsPlainObj getTextStyle() {
return this.textStyle;
}
@JsOverlay
public final void setTextStyle(JsPlainObj textStyle) {
this.textStyle=textStyle;
}
@JsOverlay
public final JsPlainObj getStem() {
return this.stem;
}
@JsOverlay
public final void setStem(JsPlainObj stem) {
this.stem=stem;
}

}
@JsType(isNative=true,namespace= JsPackage.GLOBAL,name="Object")
public static class vAxis {
@JsProperty
String textPosition;
@JsProperty
JsPlainObj[] ticks;
@JsProperty
Number maxValue;
@JsProperty
String format;
@JsProperty
String viewWindowMode;
@JsProperty
Number baseline;
@JsProperty
String title;
@JsProperty
Number baselineColor;
@JsProperty
Number viewWindow;
@JsProperty
JsPlainObj titleTextStyle;
@JsProperty
JsPlainObj minorGridlines;
@JsProperty
Number minValue;
@JsProperty
Boolean logScale;
@JsProperty
String scaleType;
@JsProperty
JsPlainObj textStyle;
@JsProperty
JsPlainObj gridlines;
@JsProperty
Number direction;
@JsOverlay
public final String getTextPosition() {
return this.textPosition;
}
@JsOverlay
public final void setTextPosition(String textPosition) {
this.textPosition=textPosition;
}
@JsOverlay
public final JsPlainObj[] getTicks() {
return this.ticks;
}
@JsOverlay
public final void setTicks(JsPlainObj[] ticks) {
this.ticks=ticks;
}
@JsOverlay
public final Number getMaxValue() {
return this.maxValue;
}
@JsOverlay
public final void setMaxValue(Number maxValue) {
this.maxValue=maxValue;
}
@JsOverlay
public final String getFormat() {
return this.format;
}
@JsOverlay
public final void setFormat(String format) {
this.format=format;
}
@JsOverlay
public final String getViewWindowMode() {
return this.viewWindowMode;
}
@JsOverlay
public final void setViewWindowMode(String viewWindowMode) {
this.viewWindowMode=viewWindowMode;
}
@JsOverlay
public final Number getBaseline() {
return this.baseline;
}
@JsOverlay
public final void setBaseline(Number baseline) {
this.baseline=baseline;
}
@JsOverlay
public final String getTitle() {
return this.title;
}
@JsOverlay
public final void setTitle(String title) {
this.title=title;
}
@JsOverlay
public final Number getBaselineColor() {
return this.baselineColor;
}
@JsOverlay
public final void setBaselineColor(Number baselineColor) {
this.baselineColor=baselineColor;
}
@JsOverlay
public final Number getViewWindow() {
return this.viewWindow;
}
@JsOverlay
public final void setViewWindow(Number viewWindow) {
this.viewWindow=viewWindow;
}
@JsOverlay
public final JsPlainObj getTitleTextStyle() {
return this.titleTextStyle;
}
@JsOverlay
public final void setTitleTextStyle(JsPlainObj titleTextStyle) {
this.titleTextStyle=titleTextStyle;
}
@JsOverlay
public final JsPlainObj getMinorGridlines() {
return this.minorGridlines;
}
@JsOverlay
public final void setMinorGridlines(JsPlainObj minorGridlines) {
this.minorGridlines=minorGridlines;
}
@JsOverlay
public final Number getMinValue() {
return this.minValue;
}
@JsOverlay
public final void setMinValue(Number minValue) {
this.minValue=minValue;
}
@JsOverlay
public final Boolean getLogScale() {
return this.logScale;
}
@JsOverlay
public final void setLogScale(Boolean logScale) {
this.logScale=logScale;
}
@JsOverlay
public final String getScaleType() {
return this.scaleType;
}
@JsOverlay
public final void setScaleType(String scaleType) {
this.scaleType=scaleType;
}
@JsOverlay
public final JsPlainObj getTextStyle() {
return this.textStyle;
}
@JsOverlay
public final void setTextStyle(JsPlainObj textStyle) {
this.textStyle=textStyle;
}
@JsOverlay
public final JsPlainObj getGridlines() {
return this.gridlines;
}
@JsOverlay
public final void setGridlines(JsPlainObj gridlines) {
this.gridlines=gridlines;
}
@JsOverlay
public final Number getDirection() {
return this.direction;
}
@JsOverlay
public final void setDirection(Number direction) {
this.direction=direction;
}

}
@JsType(isNative=true,namespace= JsPackage.GLOBAL,name="Object")
public static class ChartArea {
@JsProperty
JsPlainObj backgroundColor;
@JsProperty
String top;
@JsProperty
String left;
@JsProperty
String width;
@JsProperty
String height;
@JsOverlay
public final JsPlainObj getBackgroundColor() {
return this.backgroundColor;
}
@JsOverlay
public final void setBackgroundColor(JsPlainObj backgroundColor) {
this.backgroundColor=backgroundColor;
}
@JsOverlay
public final String getTop() {
return this.top;
}
@JsOverlay
public final void setTop(String top) {
this.top=top;
}
@JsOverlay
public final String getLeft() {
return this.left;
}
@JsOverlay
public final void setLeft(String left) {
this.left=left;
}
@JsOverlay
public final String getWidth() {
return this.width;
}
@JsOverlay
public final void setWidth(String width) {
this.width=width;
}
@JsOverlay
public final String getHeight() {
return this.height;
}
@JsOverlay
public final void setHeight(String height) {
this.height=height;
}

}
@JsType(isNative=true,namespace= JsPackage.GLOBAL,name="JsPlainObj")
public static class trendlines {
@JsProperty
Boolean n;
@JsOverlay
public final Boolean getN() {
return this.n;
}
@JsOverlay
public final void setN(Boolean n) {
this.n=n;
}

}
@JsType(isNative=true,namespace= JsPackage.GLOBAL,name="JsPlainObj")
public static class animation {
@JsProperty
Number duration;
@JsProperty
Boolean startup;
@JsProperty
String easing;
@JsOverlay
public final Number getDuration() {
return this.duration;
}
@JsOverlay
public final void setDuration(Number duration) {
this.duration=duration;
}
@JsOverlay
public final Boolean getStartup() {
return this.startup;
}
@JsOverlay
public final void setStartup(Boolean startup) {
this.startup=startup;
}
@JsOverlay
public final String getEasing() {
return this.easing;
}
@JsOverlay
public final void setEasing(String easing) {
this.easing=easing;
}

}

}
